## org.exist.storage
Class GeneralRangeIndexSpec

    java.lang.Object
      org.exist.storage.RangeIndexSpec
          org.exist.storage.GeneralRangeIndexSpec

public class GeneralRangeIndexSpec
extends RangeIndexSpec

Used to specify a range index on a node path. Contrary to the fulltext index, a range index indexes the value of nodes according to a predefined type.

Author:
  wolf

Field Summary

Fields inherited from class org.exist.storage.RangeIndexSpec
`BOOLEAN, DATE_TIME, DOUBLE, FLOAT, HAS_VALUE_INDEX_MASK, HAS_VALUE_OR_MIXED_INDEX_MASK, INTEGER, MIXED_CONTENT, NO_INDEX, QNAME_INDEX, RANGE_INDEX_MASK, STRING, TEXT, TEXT_MIXED_CONTENT`

Constructor Summary
`GeneralRangeIndexSpec(java.util.Map namespaces, java.lang.String pathStr, java.lang.String typeStr)`

Method Summary
`NodePath` `getPath()` Returns the path corresponding to this index.
`java.lang.String` `toString()`

Methods inherited from class org.exist.storage.RangeIndexSpec
`getIndexType, getType, hasFulltextIndex, hasMixedContent, hasMixedTextIndex, hasQNameIndex, hasQNameOrValueIndex, hasRangeIndex, indexTypeToXPath, xpathTypeToIndex`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneralRangeIndexSpec

    public GeneralRangeIndexSpec(java.util.Map namespaces,
                                 java.lang.String pathStr,
                                 java.lang.String typeStr)
                          throws DatabaseConfigurationException

Method Detail

### getPath

    public NodePath getPath()

  Returns the path corresponding to this index.

### toString

    public java.lang.String toString()

Copyright (C) Wolfgang Meier. All rights reserved.